commit:     c4a04272ab78fbfce5b5466aa8c18b8036b3d519
Author:     Arsen Arsenović <arsen <AT> aarsen <DOT> me>
AuthorDate: Sun Apr  4 19:38:13 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr  5 14:35:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4a04272

sys-apps/plocate: update to 1.1.6

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Arsen Arsenović <arsen <AT> aarsen.me>
Closes: https://github.com/gentoo/gentoo/pull/20262
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/plocate/Manifest             |  1 +
 sys-apps/plocate/plocate-1.1.6.ebuild | 79 +++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/sys-apps/plocate/Manifest b/sys-apps/plocate/Manifest
index 17237dc8ed4..6f0891cb586 100644
--- a/sys-apps/plocate/Manifest
+++ b/sys-apps/plocate/Manifest
@@ -1 +1,2 @@
 DIST plocate-1.1.5.tar.gz 69090 BLAKE2B 
70b398eb1a5d7b36294188966ef5f46843d9db9f41021a294d88795944412b4ef3819771082955a74a9945296fa14c59461a4ab4af197691f7085a40eeb7f0ef
 SHA512 
6169ea7b3587e12e555a42e0c70e149626810f5e6f9f1f03ca1b069d7892d45bc52cabf072324eaa6f14055943dd680a71642914c0218a770e2b00a22c75efbc
+DIST plocate-1.1.6.tar.gz 71518 BLAKE2B 
497ff8061e3e880e2502cb3fd13e3c9de06e8c4fffdc6b405e1a9a4e33f694b86f2e32fee93f57f5dd122b52a4a8615f1615ee77c6519448afcc596210aced65
 SHA512 
d94104b774ad75f60b8de2c044ac203ed28ffd6a0765818cf3e9d50d589d0c53cefbe77510d650c221e2c36b8672f63cd45ccb2f8774b20f9cb4d51de0bb4dbe

diff --git a/sys-apps/plocate/plocate-1.1.6.ebuild 
b/sys-apps/plocate/plocate-1.1.6.ebuild
new file mode 100644
index 00000000000..4aaa46baf9c
--- /dev/null
+++ b/sys-apps/plocate/plocate-1.1.6.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info meson systemd
+
+DESCRIPTION="Posting locate is a much faster locate"
+HOMEPAGE="https://plocate.sesse.net/";
+SRC_URI="https://plocate.sesse.net/download/${P}.tar.gz";
+
+# GPL-2 for updatedb
+# GPL-2+ for plocate itself
+LICENSE="GPL-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+io-uring"
+
+RDEPEND="
+       acct-group/locate
+       app-arch/zstd:=
+       io-uring? ( sys-libs/liburing:= )
+       !sys-apps/mlocate
+"
+DEPEND="${RDEPEND}"
+
+CONFIG_CHECK="~IO_URING"
+ERROR_IO_URING="required for USE=io-uring"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.1.5-no-systemd-check.patch
+)
+
+src_prepare() {
+       # Pretend liburing dep doesn't exist when USE flag off
+       if ! use io-uring; then
+               sed -i "s/dependency('liburing/dependency('/" meson.build || die
+       fi
+
+       # We'll install the manpage ourself to locate.1
+       sed -i "/install_man('plocate.1')/d" meson.build || die
+
+       default
+}
+
+src_configure() {
+       local emesonargs=(
+               -Dlocategroup=locate
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       dodoc README NEWS
+       newman "${S}"/${PN}.1 locate.1
+       dosym plocate /usr/bin/locate
+
+       insinto /etc
+       doins "${FILESDIR}"/updatedb.conf
+       doins "${FILESDIR}"/plocate-cron.conf
+       fperms 0644 /etc/{updatedb,plocate-cron}.conf
+
+       insinto /etc/cron.daily
+       newins "${FILESDIR}"/plocate.cron plocate
+       fperms 0755 /etc/cron.daily/plocate
+
+       systemd_dounit "${BUILD_DIR}"/${PN}-updatedb.service 
"${S}"/${PN}-updatedb.timer
+}
+
+pkg_postinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+               elog "The database for the locate command is generated daily by 
a cron job,"
+               elog "if you install for the first time you can run the 
updatedb command manually now."
+               elog
+               elog "Note that the ${EROOT}/etc/updatedb.conf file is generic,"
+               elog "please customize it to your system requirements."
+       fi
+}

Reply via email to